namespace Pilz.Win32.Mapped;


public static class FileTypeIcons
{

    public static Icon ExtractIconFromFilePath(string filePath, SystemIconSize size)
    {
        return Internals.IconExtractor.ExtractIcon(filePath, size);
    }

    public static Icon ExtractIconFromFileExtension(string fileExtension, SystemIconSize size)
    {
        return Internals.IconFactory.IconFromExtensionShell(fileExtension, size);
    }

}